using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using CCW = ConwayControls.Web;

public partial class RadioButtonSpike2 : Page {

    protected override void OnLoad(EventArgs e) {
        base.OnLoad(e);

        if (this.IsPostBack) return;

        this.BindGrid();
    }

    protected void BindGrid() {
        List<SurveyItem> items = new List<SurveyItem>();

        items.Add(new SurveyItem(1, "C#"));
        items.Add(new SurveyItem(2, "VB"));
        items.Add(new SurveyItem(3, "Perl"));
        items.Add(new SurveyItem(4, "Java"));
        items.Add(new SurveyItem(5, "Ruby"));

        this.SurveyGrid.DataSource = items;
        this.SurveyGrid.DataBind();
    }

    protected void ForPostBackButton_Click(object sender, EventArgs e) {
        foreach (GridViewRow row in this.SurveyGrid.Rows) {
            CCW.RadioButton radioButton = row.FindControl("FavoriteButton") as CCW.RadioButton;

            if (radioButton == null || !radioButton.Checked) continue;

            //the following label demonstrates the ability of grabbing other controls in the row and using it...
            Label label = row.FindControl("NameLabel") as Label;

            if (label != null) {
                string format = "favorite language: <h3>{0} (Id: {1})</h3>";
                this.ResultsLabel.Text = string.Format(format, label.Text, radioButton.Value);
                break;
            }
        }
    }
}

public class SurveyItem {
    public SurveyItem(int id, string name) {
        this.id = id;
        this.name = name;
    }

    public int Id {
        get { return this.id; }
        set { this.id = value; }
    }	private int id;

    public string Name {
        get { return this.name; }
        set { this.name = value; }
    }	private string name;

}